package com.lionel.data.entity;

import java.lang.reflect.Field;
import java.lang.reflect.ParameterizedType;

public class DbContext {
	public DbContext() {
		for (Field field : this.getClass().getDeclaredFields()) {
			// get parameterized class
			Class<?> parameterizedClass = (Class<?>) ((ParameterizedType) field
					.getGenericType()).getActualTypeArguments()[0];

			// create object
			System.out.println(parameterizedClass);
			DbSet<?> dbSet = set(parameterizedClass);

			try {
				// set it to this object
				field.set(this, dbSet);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}

	private <T> DbSet<T> set(Class<T> type) {
		return new DbSet<T>();
	}
}
