package com.lionel.ef.core.entityClient;

/**
 * Class representing a connection for the conceptual layer. An entity
 * connection may only be initialized once (by opening the connection). It is
 * subsequently not possible to change the connection string, attach a new store
 * connection, or change the store connection string. At first, I only use
 * MySQL. I will update later.
 * 
 * @author huynt3
 * 
 */
public class EntityConnection {
	public final static String DBDRIVER_MSSQL = "com.microsoft.sqlserver.jdbc.SQLServerDriver";
	public final static String DBDRIVER_PGSQL = "org.postgresql.Driver";
	public final static String DBDRIVER_HSQLDB = "org.hsqldb.jdbc.JDBCDriver";

	public final static String ENTITY_CLIENT_PROVIDER_NAME = "com.mysql.jdbc.Driver";
//	private final static String JDBC_PREFIX = "jdbc:mysql://";
}
