package com.lionel.linq.expressions;

import java.lang.reflect.Type;

public class ConstantExpression extends Expression {
	private Object value;
	
	public ConstantExpression(Object value) {
		this.value = value;
		this.type = this.value.getClass();
	}
	
	public ConstantExpression(Object value, Type type) {
		this.value = value;
		this.type = type;
	}
	
	public Object getValue() {
		return value;
	}
	
	public String toString() {
		return this.value.toString(); 
	}
}
