package com.lionel.linq.expressions;

import java.lang.reflect.Type;

public class ParameterExpression extends Expression {
	private String name;
	private ExpressionType nodeType;
	
	public ParameterExpression(Type type, String name) {
		this.type = type;
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public ExpressionType getNodeType() {
		return nodeType;
	}
}
