package com.lionel.linq.expressions.test;

import com.lionel.linq.expressions.BinaryExpression;
import com.lionel.linq.expressions.ConstantExpression;
import com.lionel.linq.expressions.Expression;
import com.lionel.linq.expressions.Func;
import com.lionel.linq.expressions.LambdaExpression;
import com.lionel.linq.expressions.ParameterExpression;

public class ExpressionTest {
	@SuppressWarnings("unchecked")
	public static void main(String[] args) {
		// Manually build the expression tree for
		// the lambda expression num => num < 5.
		ParameterExpression numParam = Expression.parameter(Integer.class,
				"num");
		ConstantExpression five = Expression.constant(5, Integer.class);
		BinaryExpression numLessThanFive = Expression.lessThan(numParam, five);
//		LambdaExpression lambda = Expression.lamda(
//				new Func<Integer, Integer>(), numLessThanFive, numParam);
		LambdaExpression lambda = Expression.lamda(numLessThanFive);
		System.out.println(lambda);
		System.out.println(((Func<Object,Boolean>)lambda.compile()).invoke(3));
	}
}
